%define vendor vx68k.org
%define prefix /opt/%{name}
# Whether we build for LSB or not.
%bcond_without lsb

%if %{with lsb}
%ifarch i386 i486 i586 i686 athlon
%define interp /lib/ld-lsb.so.3
%endif
%ifarch x86_64
%define interp /lib64/ld-lsb-x86-64.so.3
%endif
%ifarch ppc
%define interp /lib/ld-lsb-ppc32.so.3
%endif
%ifarch ppc64
%define interp /lib64/ld-lsb-ppc64.so.3
%endif
%endif

Name: %{?vendor:%{vendor}-}xllmnrd
Version: 1.1.0
Release: 4
Group: System Environment/Daemons
License: GPLv3
Source: https://bitbucket.org/kazssym/xllmnrd/downloads/xllmnrd-%{version}.tar.gz
Patch0: xllmnrd-1.1.0-init.patch0
Patch1: xllmnrd-1.1.0-init.patch1
Patch2: xllmnrd-1.1.0-init.patch2
%if %{with lsb}
BuildRequires: lsb >= 3.1
AutoReqProv: 0
Requires: lsb >= 3.1
%endif

Packager: Kaz Nishimura <https://bitbucket.org/kazssym>
Vendor: VX68K.org
URL: http://www.vx68k.org/
Summary: IPv6 LLMNR responder daemon

%description
xllmnrd is an IPv6 LLMNR responder daemon (primarily for GNU/Linux operating
systems).  It allows Microsoft Windows clients to get the IPv6 address of a
server on the same local network _without any DNS configuration_ and thereby
complements IPv4-only NetBIOS name resolution provided by Samba.
%prep
%setup -n xllmnrd-%{version}
%patch0 -p 1
%patch1 -p 1
touch aclocal.m4
%patch2 -p 1
touch config.h.in
%build
./configure --prefix=%{prefix} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-Wl,%{?interp:--dynamic-linker=%{interp},}--hash-style=sysv,--build-id=none"
make
%install
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -c lsb/xllmnrd $RPM_BUILD_ROOT/etc/init.d/%{name}
%files
%{prefix}/sbin/xllmnrd
%doc %{prefix}/share/man/man8/xllmnrd.8
%{prefix}/share/locale/*/LC_MESSAGES/xllmnrd.mo
%config /etc/init.d/%{name}
%clean
rm -f $RPM_BUILD_ROOT/etc/init.d/%{name}
make DESTDIR=$RPM_BUILD_ROOT uninstall
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} \;
%pre
USER=xllmnrd
if getent passwd "$USER" > /dev/null; then
  :
else
  useradd -r -d /var/run/xllmnrd -s /bin/false \
    -c 'IPv6 LLMNR responder daemon' "$USER"
fi
%post
SCRIPT=/etc/init.d/%{name}
if [ -x "$SCRIPT" ]; then
  /usr/lib/lsb/install_initd "$SCRIPT"
fi
%preun
SCRIPT=/etc/init.d/%{name}
if [ -x "$SCRIPT" ]; then
  /usr/lib/lsb/remove_initd "$SCRIPT"
fi
